OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_CurveElementInterval Class Reference

Representation of STEP entity CurveElementInterval
.

`#include <StepFEA_CurveElementInterval.hxx>`

Inheritance diagram for StepFEA_CurveElementInterval:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_CurveElementInterval ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepFEA_CurveElementLocation)&aFinishPosition, const Handle(StepBasic_EulerAngles)&aEuAngles)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_CurveElementLocation | FinishPosition () const
| Returns field FinishPosition .
Standard_EXPORT void | SetFinishPosition (const Handle(StepFEA_CurveElementLocation)&FinishPosition)
| Set field FinishPosition .
Standard_EXPORT Handle_StepBasic_EulerAngles | EuAngles () const
| Returns field EuAngles .
Standard_EXPORT void | SetEuAngles (const Handle(StepBasic_EulerAngles)&EuAngles)
| Set field EuAngles .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepFEA_CurveElementLocation | theFinishPosition
Handle_StepBasic_EulerAngles | theEuAngles

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_CurveElementInterval::StepFEA_CurveElementInterval | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_EulerAngles StepFEA_CurveElementInterval::EuAngles | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_CurveElementLocation StepFEA_CurveElementInterval::FinishPosition | ( |  | ) | const

Standard_EXPORT const StepFEA_CurveElementInterval::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepFEA_CurveElementIntervalConstant, and StepFEA_CurveElementIntervalLinearlyVarying.

Standard_EXPORT void StepFEA_CurveElementInterval::Init | ( | const Handle(StepFEA_CurveElementLocation)& | aFinishPosition,
|  | const Handle(StepBasic_EulerAngles)& | aEuAngles
| ) |

Standard_EXPORT void StepFEA_CurveElementInterval::SetEuAngles | ( | const Handle(StepBasic_EulerAngles)& | EuAngles | ) |

Standard_EXPORT void StepFEA_CurveElementInterval::SetFinishPosition | ( | const Handle(StepFEA_CurveElementLocation)& | FinishPosition | ) |

## Field Documentation

Handle_StepBasic_EulerAngles StepFEA_CurveElementInterval::theEuAngles`[private]`

Handle_StepFEA_CurveElementLocation StepFEA_CurveElementInterval::theFinishPosition`[private]`

The documentation for this class was generated from the following file:

- StepFEA_CurveElementInterval.hxx